using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Stepsevenpanl : MonoBehaviour
{
    /// <summary>
    /// 初始化页面
    /// </summary>
    public RectTransform stepsevenpanl;
    /// <summary>
    /// 页面1
    /// </summary>
    public RectTransform stepsevenpanl1;
    /// <summary>
    /// 待办工单按钮
    /// </summary>
    public Button waittobedonebutton7;
    /// <summary>
    /// 页面2
    /// </summary>
    public RectTransform stepsevenpanl2;
    /// <summary>
    /// 输入工单编号
    /// </summary>
    public InputField inputfid7;
    /// <summary>
    /// 查询按钮
    /// </summary>
    public Button inquirbutton7;
    /// <summary>
    /// 页面3
    /// </summary>
    public RectTransform stepsevenpanl3;
    /// <summary>
    /// 高亮选择
    /// </summary>
    public Toggle serialtoggle7;
    /// <summary>
    /// 高亮图片选择
    /// </summary>
    public Image serialimage7;
    /// <summary>
    /// 退补发行按钮
    /// </summary>
    public Button refundbutton7;
    /// <summary>
    /// 签收按钮
    /// </summary>
    public Button signforbutton7;
    /// <summary>
    /// 签收成功显示图片
    /// </summary>
    public Image signforimage7;
    /// <summary>
    /// 页面4
    /// </summary>
    public RectTransform stepsevenpanl4;
    /// <summary>
    /// 供电勾选按钮
    /// </summary>
    public Toggle serialnumbertoggle7;
    /// <summary>
    /// 发行按钮
    /// </summary>
    public Button releasebutton;
    void Start()
    {
        waittobedonebutton7.onClick.AddListener(() =>
        {
            stepsevenpanl1.gameObject.SetActive(false);
            stepsevenpanl2.gameObject.SetActive(true);
        });
        inquirbutton7.onClick.AddListener(() =>
        {
            stepsevenpanl2.gameObject.SetActive(false);
            stepsevenpanl3.gameObject.SetActive(true);
        });
        serialtoggle7.onValueChanged.AddListener(delegate
        {
            Getpicture(serialtoggle7);
        });
        refundbutton7.onClick.AddListener(() =>
        {
            stepsevenpanl3.gameObject.SetActive(false);
            stepsevenpanl4.gameObject.SetActive(true);
        });
        signforbutton7.onClick.AddListener(() =>
        {
            signforimage7.gameObject.SetActive(true);
            Invoke("Getpicture2", 1.5f);
        });
        releasebutton.onClick.AddListener(() =>
        {
            stepsevenpanl4.gameObject.SetActive(false);
        });
    }
    public void Getpicture2()
    {
        signforimage7.gameObject.SetActive(false);
    }
    /// <summary>
    /// 高亮图片
    /// </summary>
    public void Getpicture(Toggle toggle)
    {
        if (toggle.isOn)
        {
            serialimage7.gameObject.SetActive(true);
        }
        else
        {
            serialtoggle7.gameObject.SetActive(false);
        }
    }
    /// <summary>
    /// 初始化页面
    /// </summary>
    public void Getpage()
    {
        stepsevenpanl.gameObject.SetActive(true);
    }
    // Update is called once per frame
    void Update()
    {

    }
}
